OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ATI.FragmentShader

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIFragmentShader :: MonadIO m => m Bool
- gl_ATI_fragment_shader :: Bool
- pattern GL_2X_BIT_ATI :: GLbitfield
- pattern GL_4X_BIT_ATI :: GLbitfield
- pattern GL_8X_BIT_ATI :: GLbitfield
- pattern GL_ADD_ATI :: GLenum
- pattern GL_BIAS_BIT_ATI :: GLbitfield
- pattern GL_BLUE_BIT_ATI :: GLbitfield
- pattern GL_CND0_ATI :: GLenum
- pattern GL_CND_ATI :: GLenum
- pattern GL_COLOR_ALPHA_PAIRING_ATI :: GLenum
- pattern GL_COMP_BIT_ATI :: GLbitfield
- pattern GL_CON_0_ATI :: GLenum
- pattern GL_CON_10_ATI :: GLenum
- pattern GL_CON_11_ATI :: GLenum
- pattern GL_CON_12_ATI :: GLenum
- pattern GL_CON_13_ATI :: GLenum
- pattern GL_CON_14_ATI :: GLenum
- pattern GL_CON_15_ATI :: GLenum
- pattern GL_CON_16_ATI :: GLenum
- pattern GL_CON_17_ATI :: GLenum
- pattern GL_CON_18_ATI :: GLenum
- pattern GL_CON_19_ATI :: GLenum
- pattern GL_CON_1_ATI :: GLenum
- pattern GL_CON_20_ATI :: GLenum
- pattern GL_CON_21_ATI :: GLenum
- pattern GL_CON_22_ATI :: GLenum
- pattern GL_CON_23_ATI :: GLenum
- pattern GL_CON_24_ATI :: GLenum
- pattern GL_CON_25_ATI :: GLenum
- pattern GL_CON_26_ATI :: GLenum
- pattern GL_CON_27_ATI :: GLenum
- pattern GL_CON_28_ATI :: GLenum
- pattern GL_CON_29_ATI :: GLenum
- pattern GL_CON_2_ATI :: GLenum
- pattern GL_CON_30_ATI :: GLenum
- pattern GL_CON_31_ATI :: GLenum
- pattern GL_CON_3_ATI :: GLenum
- pattern GL_CON_4_ATI :: GLenum
- pattern GL_CON_5_ATI :: GLenum
- pattern GL_CON_6_ATI :: GLenum
- pattern GL_CON_7_ATI :: GLenum
- pattern GL_CON_8_ATI :: GLenum
- pattern GL_CON_9_ATI :: GLenum
- pattern GL_DOT2_ADD_ATI :: GLenum
- pattern GL_DOT3_ATI :: GLenum
- pattern GL_DOT4_ATI :: GLenum
- pattern GL_EIGHTH_BIT_ATI :: GLbitfield
- pattern GL_FRAGMENT_SHADER_ATI :: GLenum
- pattern GL_GREEN_BIT_ATI :: GLbitfield
- pattern GL_HALF_BIT_ATI :: GLbitfield
- pattern GL_LERP_ATI :: GLenum
- pattern GL_MAD_ATI :: GLenum
- pattern GL_MOV_ATI :: GLenum
- pattern GL_MUL_ATI :: GLenum
- pattern GL_NEGATE_BIT_ATI :: GLbitfield
- pattern GL_NUM_FRAGMENT_CONSTANTS_ATI :: GLenum
- pattern GL_NUM_FRAGMENT_REGISTERS_ATI :: GLenum
- pattern GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI :: GLenum
- pattern GL_NUM_INSTRUCTIONS_PER_PASS_ATI :: GLenum
- pattern GL_NUM_INSTRUCTIONS_TOTAL_ATI :: GLenum
- pattern GL_NUM_LOOPBACK_COMPONENTS_ATI :: GLenum
- pattern GL_NUM_PASSES_ATI :: GLenum
- pattern GL_QUARTER_BIT_ATI :: GLbitfield
- pattern GL_RED_BIT_ATI :: GLbitfield
- pattern GL_REG_0_ATI :: GLenum
- pattern GL_REG_10_ATI :: GLenum
- pattern GL_REG_11_ATI :: GLenum
- pattern GL_REG_12_ATI :: GLenum
- pattern GL_REG_13_ATI :: GLenum
- pattern GL_REG_14_ATI :: GLenum
- pattern GL_REG_15_ATI :: GLenum
- pattern GL_REG_16_ATI :: GLenum
- pattern GL_REG_17_ATI :: GLenum
- pattern GL_REG_18_ATI :: GLenum
- pattern GL_REG_19_ATI :: GLenum
- pattern GL_REG_1_ATI :: GLenum
- pattern GL_REG_20_ATI :: GLenum
- pattern GL_REG_21_ATI :: GLenum
- pattern GL_REG_22_ATI :: GLenum
- pattern GL_REG_23_ATI :: GLenum
- pattern GL_REG_24_ATI :: GLenum
- pattern GL_REG_25_ATI :: GLenum
- pattern GL_REG_26_ATI :: GLenum
- pattern GL_REG_27_ATI :: GLenum
- pattern GL_REG_28_ATI :: GLenum
- pattern GL_REG_29_ATI :: GLenum
- pattern GL_REG_2_ATI :: GLenum
- pattern GL_REG_30_ATI :: GLenum
- pattern GL_REG_31_ATI :: GLenum
- pattern GL_REG_3_ATI :: GLenum
- pattern GL_REG_4_ATI :: GLenum
- pattern GL_REG_5_ATI :: GLenum
- pattern GL_REG_6_ATI :: GLenum
- pattern GL_REG_7_ATI :: GLenum
- pattern GL_REG_8_ATI :: GLenum
- pattern GL_REG_9_ATI :: GLenum
- pattern GL_SATURATE_BIT_ATI :: GLbitfield
- pattern GL_SECONDARY_INTERPOLATOR_ATI :: GLenum
- pattern GL_SUB_ATI :: GLenum
- pattern GL_SWIZZLE_STQ_ATI :: GLenum
- pattern GL_SWIZZLE_STQ_DQ_ATI :: GLenum
- pattern GL_SWIZZLE_STRQ_ATI :: GLenum
- pattern GL_SWIZZLE_STRQ_DQ_ATI :: GLenum
- pattern GL_SWIZZLE_STR_ATI :: GLenum
- pattern GL_SWIZZLE_STR_DR_ATI :: GLenum
- glAlphaFragmentOp1ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glAlphaFragmentOp2ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glAlphaFragmentOp3ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glBeginFragmentShaderATI :: MonadIO m => m ()
- glBindFragmentShaderATI :: MonadIO m => GLuint -> m ()
- glColorFragmentOp1ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glColorFragmentOp2ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glColorFragmentOp3ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glDeleteFragmentShaderATI :: MonadIO m => GLuint -> m ()
- glEndFragmentShaderATI :: MonadIO m => m ()
- glGenFragmentShadersATI :: MonadIO m => GLuint -> m GLuint
- glPassTexCoordATI :: MonadIO m => GLuint -> GLuint -> GLenum -> m ()
- glSampleMapATI :: MonadIO m => GLuint -> GLuint -> GLenum -> m ()
- glSetFragmentShaderConstantATI :: MonadIO m => GLuint -> Ptr GLfloat -> m ()

# Extension Support

glGetATIFragmentShader :: MonadIO m => m Bool Source #

Is the ATI_fragment_shader extension supported?

gl_ATI_fragment_shader :: Bool Source #

Is the ATI_fragment_shader extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIFragmentShader` in those cases instead.

# Enums

pattern GL_2X_BIT_ATI :: GLbitfield Source #

pattern GL_4X_BIT_ATI :: GLbitfield Source #

pattern GL_8X_BIT_ATI :: GLbitfield Source #

pattern GL_ADD_ATI :: GLenum Source #

pattern GL_BIAS_BIT_ATI :: GLbitfield Source #

pattern GL_BLUE_BIT_ATI :: GLbitfield Source #

pattern GL_CND0_ATI :: GLenum Source #

pattern GL_CND_ATI :: GLenum Source #

pattern GL_COLOR_ALPHA_PAIRING_ATI :: GLenum Source #

pattern GL_COMP_BIT_ATI :: GLbitfield Source #

pattern GL_CON_0_ATI :: GLenum Source #

pattern GL_CON_10_ATI :: GLenum Source #

pattern GL_CON_11_ATI :: GLenum Source #

pattern GL_CON_12_ATI :: GLenum Source #

pattern GL_CON_13_ATI :: GLenum Source #

pattern GL_CON_14_ATI :: GLenum Source #

pattern GL_CON_15_ATI :: GLenum Source #

pattern GL_CON_16_ATI :: GLenum Source #

pattern GL_CON_17_ATI :: GLenum Source #

pattern GL_CON_18_ATI :: GLenum Source #

pattern GL_CON_19_ATI :: GLenum Source #

pattern GL_CON_1_ATI :: GLenum Source #

pattern GL_CON_20_ATI :: GLenum Source #

pattern GL_CON_21_ATI :: GLenum Source #

pattern GL_CON_22_ATI :: GLenum Source #

pattern GL_CON_23_ATI :: GLenum Source #

pattern GL_CON_24_ATI :: GLenum Source #

pattern GL_CON_25_ATI :: GLenum Source #

pattern GL_CON_26_ATI :: GLenum Source #

pattern GL_CON_27_ATI :: GLenum Source #

pattern GL_CON_28_ATI :: GLenum Source #

pattern GL_CON_29_ATI :: GLenum Source #

pattern GL_CON_2_ATI :: GLenum Source #

pattern GL_CON_30_ATI :: GLenum Source #

pattern GL_CON_31_ATI :: GLenum Source #

pattern GL_CON_3_ATI :: GLenum Source #

pattern GL_CON_4_ATI :: GLenum Source #

pattern GL_CON_5_ATI :: GLenum Source #

pattern GL_CON_6_ATI :: GLenum Source #

pattern GL_CON_7_ATI :: GLenum Source #

pattern GL_CON_8_ATI :: GLenum Source #

pattern GL_CON_9_ATI :: GLenum Source #

pattern GL_DOT2_ADD_ATI :: GLenum Source #

pattern GL_DOT3_ATI :: GLenum Source #

pattern GL_DOT4_ATI :: GLenum Source #

pattern GL_EIGHTH_BIT_ATI :: GLbitfield Source #

pattern GL_FRAGMENT_SHADER_ATI :: GLenum Source #

pattern GL_GREEN_BIT_ATI :: GLbitfield Source #

pattern GL_HALF_BIT_ATI :: GLbitfield Source #

pattern GL_LERP_ATI :: GLenum Source #

pattern GL_MAD_ATI :: GLenum Source #

pattern GL_MOV_ATI :: GLenum Source #

pattern GL_MUL_ATI :: GLenum Source #

pattern GL_NEGATE_BIT_ATI :: GLbitfield Source #

pattern GL_NUM_FRAGMENT_CONSTANTS_ATI :: GLenum Source #

pattern GL_NUM_FRAGMENT_REGISTERS_ATI :: GLenum Source #

pattern GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI :: GLenum Source #

pattern GL_NUM_INSTRUCTIONS_PER_PASS_ATI :: GLenum Source #

pattern GL_NUM_INSTRUCTIONS_TOTAL_ATI :: GLenum Source #

pattern GL_NUM_LOOPBACK_COMPONENTS_ATI :: GLenum Source #

pattern GL_NUM_PASSES_ATI :: GLenum Source #

pattern GL_QUARTER_BIT_ATI :: GLbitfield Source #

pattern GL_RED_BIT_ATI :: GLbitfield Source #

pattern GL_REG_0_ATI :: GLenum Source #

pattern GL_REG_10_ATI :: GLenum Source #

pattern GL_REG_11_ATI :: GLenum Source #

pattern GL_REG_12_ATI :: GLenum Source #

pattern GL_REG_13_ATI :: GLenum Source #

pattern GL_REG_14_ATI :: GLenum Source #

pattern GL_REG_15_ATI :: GLenum Source #

pattern GL_REG_16_ATI :: GLenum Source #

pattern GL_REG_17_ATI :: GLenum Source #

pattern GL_REG_18_ATI :: GLenum Source #

pattern GL_REG_19_ATI :: GLenum Source #

pattern GL_REG_1_ATI :: GLenum Source #

pattern GL_REG_20_ATI :: GLenum Source #

pattern GL_REG_21_ATI :: GLenum Source #

pattern GL_REG_22_ATI :: GLenum Source #

pattern GL_REG_23_ATI :: GLenum Source #

pattern GL_REG_24_ATI :: GLenum Source #

pattern GL_REG_25_ATI :: GLenum Source #

pattern GL_REG_26_ATI :: GLenum Source #

pattern GL_REG_27_ATI :: GLenum Source #

pattern GL_REG_28_ATI :: GLenum Source #

pattern GL_REG_29_ATI :: GLenum Source #

pattern GL_REG_2_ATI :: GLenum Source #

pattern GL_REG_30_ATI :: GLenum Source #

pattern GL_REG_31_ATI :: GLenum Source #

pattern GL_REG_3_ATI :: GLenum Source #

pattern GL_REG_4_ATI :: GLenum Source #

pattern GL_REG_5_ATI :: GLenum Source #

pattern GL_REG_6_ATI :: GLenum Source #

pattern GL_REG_7_ATI :: GLenum Source #

pattern GL_REG_8_ATI :: GLenum Source #

pattern GL_REG_9_ATI :: GLenum Source #

pattern GL_SATURATE_BIT_ATI :: GLbitfield Source #

pattern GL_SECONDARY_INTERPOLATOR_ATI :: GLenum Source #

pattern GL_SUB_ATI :: GLenum Source #

pattern GL_SWIZZLE_STQ_ATI :: GLenum Source #

pattern GL_SWIZZLE_STQ_DQ_ATI :: GLenum Source #

pattern GL_SWIZZLE_STRQ_ATI :: GLenum Source #

pattern GL_SWIZZLE_STRQ_DQ_ATI :: GLenum Source #

pattern GL_SWIZZLE_STR_ATI :: GLenum Source #

pattern GL_SWIZZLE_STR_DR_ATI :: GLenum Source #

# Functions

glAlphaFragmentOp1ATI Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type FragmentOpATI.
-> GLuint | `dst`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> m () |

glAlphaFragmentOp2ATI Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type FragmentOpATI.
-> GLuint | `dst`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> GLuint | `arg2`.
-> GLuint | `arg2Rep`.
-> GLuint | `arg2Mod`.
-> m () |

glAlphaFragmentOp3ATI Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type FragmentOpATI.
-> GLuint | `dst`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> GLuint | `arg2`.
-> GLuint | `arg2Rep`.
-> GLuint | `arg2Mod`.
-> GLuint | `arg3`.
-> GLuint | `arg3Rep`.
-> GLuint | `arg3Mod`.
-> m () |

glBeginFragmentShaderATI :: MonadIO m => m () Source #

glBindFragmentShaderATI Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glColorFragmentOp1ATI Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type FragmentOpATI.
-> GLuint | `dst`.
-> GLuint | `dstMask`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> m () |

glColorFragmentOp2ATI Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type FragmentOpATI.
-> GLuint | `dst`.
-> GLuint | `dstMask`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> GLuint | `arg2`.
-> GLuint | `arg2Rep`.
-> GLuint | `arg2Mod`.
-> m () |

glColorFragmentOp3ATI Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type FragmentOpATI.
-> GLuint | `dst`.
-> GLuint | `dstMask`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> GLuint | `arg2`.
-> GLuint | `arg2Rep`.
-> GLuint | `arg2Mod`.
-> GLuint | `arg3`.
-> GLuint | `arg3Rep`.
-> GLuint | `arg3Mod`.
-> m () |

glDeleteFragmentShaderATI Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glEndFragmentShaderATI :: MonadIO m => m () Source #

glGenFragmentShadersATI Source #

Arguments

:: MonadIO m |
=> GLuint | `range`.
-> m GLuint |

glPassTexCoordATI Source #

Arguments

:: MonadIO m |
=> GLuint | `dst`.
-> GLuint | `coord`.
-> GLenum | `swizzle` of type SwizzleOpATI.
-> m () |

glSampleMapATI Source #

Arguments

:: MonadIO m |
=> GLuint | `dst`.
-> GLuint | `interp`.
-> GLenum | `swizzle` of type SwizzleOpATI.
-> m () |

glSetFragmentShaderConstantATI Source #

Arguments

:: MonadIO m |
=> GLuint | `dst`.
-> Ptr GLfloat | `value` pointing to `4` elements of type `GLfloat`.
-> m () |